<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    version="2.0">
    
    <xsl:template match="/">
        <html>
            <head>
                <head>
                    <link rel="stylesheet" type="text/css" href="cart.css"/>
                </head>
                <title>Cart</title>
            </head>
            <body>
                <h1>Shopping Cart for User ID: <xsl:value-of select="/cart/@userID"/></h1>
                <table class="cart">
                    <tr>
                        <th>ID</th>
                        <th>Type</th>
                        <th>Name</th>
                        <th>Vendor</th>
                        <th>Price</th>
                        <th>Deal ID</th>
                    </tr>
                    <xsl:apply-templates />
                </table>
            </body>
        </html>  
    </xsl:template>
    
    <xsl:template match="*/item">
        <tr>
            <td><xsl:value-of select="ID"/></td>
            <td><xsl:value-of select="type"/></td>
            <td><xsl:value-of select="name"/></td>
            <td><xsl:value-of select="vendor"/></td>
            <td>
                <span><xsl:value-of select="price/@currency"/> </span> 
                <span> <xsl:value-of select="price"/></span>
            </td>
            <td>
                <xs:when test="parent::deal">
                    <xsl:value-of select="../@id"/>
                </xs:when>
            </td>
        </tr>
    </xsl:template>
    
</xsl:stylesheet>