CREATE TABLE Node (
	ID SERIAL, 
	PARENT_ID int, 
	TYPE char(20), 
	LABEL char(20), 
	VALUE char(50));

INSERT INTO Node (PARENT_ID, TYPE, LABEL, VALUE)
	VALUES 
		(NULL, 'element', 'cart', NULL),
		(1, 'attribute', 'userID', '123'),
		(1, 'element', 'item', NULL),
		(3, 'element', 'ID', 1),
		(3, 'element', 'name', 'Chocolate Cookies'),
		(3, 'element', 'type', 'food'),
		(3, 'element', 'vendor', 'Oreo'),
		(3, 'element', 'price', 4.75),
		(8, 'attribute', 'currency', 'USD'),
		(1, 'element', 'item', NULL),
		(10, 'element', 'ID', 2),
		(10, 'element', 'name', 'Energy Drink'),
		(10, 'element', 'type', 'drink'),
		(10, 'element', 'vendor', 'Redbull'),
		(10, 'element', 'price', 12.5),
		(15, 'attribute', 'currency', 'USD'),
		(1, 'element', 'deal', NULL),
		(17, 'attribute', 'id', '8790'),
		(17, 'element', 'item', NULL),
		(19, 'element', 'ID', 456),
		(19, 'element', 'name', 'Fast Charger'),
		(19, 'element', 'type', 'electronic'),
		(19, 'element', 'vendor', 'Sony'),
		(19, 'element', 'price', 14),
		(24, 'attribute', 'currency', 'USD'),
		(17, 'element', 'item', NULL),
		(26, 'element', 'ID', 987),
		(26, 'element', 'name', 'Headphone'),
		(26, 'element', 'type', 'electronic'),
		(26, 'element', 'vendor', 'JBL'),
		(26, 'element', 'price', 100),
		(31, 'attribute', 'currency', 'USD');


SELECT N2.VALUE as "Name", N1.VALUE as "Price" 
	FROM Node N1, Node N2 
	WHERE 
		N2.LABEL='name' AND 
		N1.LABEL='price' AND 
		N1.PARENT_ID=N2.PARENT_ID AND 
		(CAST(N1.VALUE AS FLOAT) BETWEEN 5 AND 15);

